//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SSCMvc.Models
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    public partial class MaPackage
    {
        public MaPackage()
        {
            this.MaDetails = new HashSet<MaDetail>();
            this.Tb_CourseHist = new HashSet<Tb_CourseHist>();
            this.Tb_FeeReceipt = new HashSet<Tb_FeeReceipt>();
            this.Tb_FeeAdjustment = new HashSet<Tb_FeeAdjustment>();
            this.Tb_FeeRefund = new HashSet<Tb_FeeRefund>();
        }
        public int Id { get; set; }

        [Display(Name = "Branch Name")]

        public Nullable<int> BranchId { get; set; }
        [Display(Name = "Course Name")]
        [Required(ErrorMessage = "Course name is required")]
        public Nullable<int> CourseId { get; set; }
        [Display(Name = "Package")]
        [Required(ErrorMessage = "Package name is required")]
        [StringLength(50)]
        public string PackageName { get; set; }
        //[Required(ErrorMessage = "Amount is required")]
        public Nullable<double> Amount { get; set; }

        private Nullable<bool> _IsDaily;
        public bool IsDaily
        {
            get
            {
                if (_IsDaily == true)
                {
                    return true;
                }
                else
                {
                    return false;
                }
            }

            set
            {
                _IsDaily = value;
            }

        }
        private Nullable<bool> _Status;
        public bool Status
        {
            get
            {
                if (_Status == true)
                {
                    return true;
                }
                else
                {
                    return false;
                }
            }

            set
            {
                _Status = value;
            }

        }
        [DataType(DataType.Date)]
        [Display(Name = "Enter Date")]
        public Nullable<System.DateTime> Cdate { get; set; }


        [Display(Name = "Duration(In Days)")]
        public Nullable<int> PackageDays { get; set; }

        [Display(Name = "Package Hours")]
        public string PackageHours { get; set; }


        public virtual MaBranch MaBranch { get; set; }
        public virtual MaCourse MaCourse { get; set; }
        public virtual ICollection<MaDetail> MaDetails { get; set; }
        public virtual ICollection<Tb_CourseHist> Tb_CourseHist { get; set; }
        public virtual ICollection<Tb_FeeReceipt> Tb_FeeReceipt { get; set; }
        public virtual ICollection<Tb_FeeAdjustment> Tb_FeeAdjustment { get; set; }
        public virtual ICollection<Tb_FeeRefund> Tb_FeeRefund { get; set; }
    }
}
